## com.baidubce.services.bos.model
Class AbortMultipartUploadRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GenericObjectRequest
                  com.baidubce.services.bos.model.GenericUploadRequest
                      com.baidubce.services.bos.model.AbortMultipartUploadRequest

    public class AbortMultipartUploadRequest

extends GenericUploadRequest

The AbortMultipartUploadRequest contains the parameters used for the AbortMultipartUpload method.

Required Parameters: BucketName, Key, UploadId

Constructor Summary
`AbortMultipartUploadRequest(String bucketName, String key, String uploadId)` Constructs a new request to abort a multipart upload.

Method Summary
`AbortMultipartUploadRequest` `withBucketName(String bucketName)` Sets the name of the bucket containing the multipart upload to abort and returns the updated object so that additional calls can be chained together.
`AbortMultipartUploadRequest` `withKey(String key)` Sets the key of the multipart upload to abort and returns the updated AbortMultipartUploadRequest object so that additional method calls can be chained together.
`AbortMultipartUploadRequest` `withRequestCredentials(BceCredentials credentials)`
`AbortMultipartUploadRequest` `withUploadId(String uploadId)` Sets the ID of the multipart upload to abort, and returns this updated AbortMultipartUploadRequest object so that additional method calls can be chained together.

Methods inherited from class com.baidubce.services.bos.model.GenericUploadRequest
`getUploadId, setUploadId`

Methods inherited from class com.baidubce.services.bos.model.GenericObjectRequest
`getKey, setKey`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbortMultipartUploadRequest

    public AbortMultipartUploadRequest(String bucketName,
                                       String key,
                                       String uploadId)

  Constructs a new request to abort a multipart upload.

  Parameters:
    `bucketName` - The name of the bucket containing the multipart upload to abort.
    `key` - The key of the multipart upload to abort.
    `uploadId` - The ID of the multipart upload to abort.

Method Detail

### withRequestCredentials

    public AbortMultipartUploadRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public AbortMultipartUploadRequest withBucketName(String bucketName)

  Sets the name of the bucket containing the multipart upload to abort and returns the updated object so that additional calls can be chained together.

  Specified by:
    `withBucketName` in class `GenericBucketRequest`
  Parameters:
    `bucketName` - The name of the bucket containing the multipart upload to abort.
  Returns:
    The updated AbortMultipartUploadRequest object.

### withKey

    public AbortMultipartUploadRequest withKey(String key)

  Sets the key of the multipart upload to abort and returns the updated AbortMultipartUploadRequest object so that additional method calls can be chained together.

  Specified by:
    `withKey` in class `GenericObjectRequest`
  Parameters:
    `key` - The key of the multipart upload to abort.
  Returns:
    The updated AbortMultipartUploadRequest.

### withUploadId

    public AbortMultipartUploadRequest withUploadId(String uploadId)

  Sets the ID of the multipart upload to abort, and returns this updated AbortMultipartUploadRequest object so that additional method calls can be chained together.

  Specified by:
    `withUploadId` in class `GenericUploadRequest`
  Parameters:
    `uploadId` - The ID of the multipart upload to abort.
  Returns:
    The updated AbortMultipartUploadRequest object.

Copyright © 2016. All rights reserved.